package com.ejie.ab61.model.solicitudes;

import java.util.Date;

import com.ejie.ab61.model.configuracionEventos.ConfigEventos;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Configuracion  
 * 
 *  
 */

public class Configuracion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idConfiguracion;
	private String codProcedureId;
	private String tipoEvento;
	private String plsqlCarga;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private String plateaType;
	private String plateaSubType;
	private ConfigEventos configEventos;

	/**
	 * Method 'Configuracion'.
	 */
	public Configuracion() {
	}

	/**
	 * Method 'Configuracion'.
	 * 
	 * @param idConfiguracion
	 *            Integer
	 */
	public Configuracion(Integer idConfiguracion) {
		this.idConfiguracion = idConfiguracion;
	}

	/**
	 * Method 'Configuracion'.
	 * 
	 * @param idConfiguracion
	 *            Integer
	 * @param codProcedureId
	 *            String
	 * @param tipoEvento
	 *            String
	 * @param plsqlCarga
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 */
	public Configuracion(Integer idConfiguracion, String codProcedureId, String tipoEvento, String plsqlCarga,
			Date fechaRegistro, String usuarioRegistro, ConfigEventos configEventos) {

		this.idConfiguracion = idConfiguracion;
		this.codProcedureId = codProcedureId;
		this.tipoEvento = tipoEvento;
		this.plsqlCarga = plsqlCarga;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.configEventos = configEventos;
	}

	/**
	 * Method 'getIdConfiguracion'.
	 *
	 * @return Integer
	 */

	public Integer getIdConfiguracion() {
		return this.idConfiguracion;
	}

	/**
	 * Method 'setIdConfiguracion'.
	 *
	 * @param idConfiguracion
	 *            Integer
	 * @return
	 */

	public void setIdConfiguracion(Integer idConfiguracion) {
		this.idConfiguracion = idConfiguracion;
	}

	/**
	 * Method 'getCodProcedureId'.
	 *
	 * @return String
	 */

	public String getCodProcedureId() {
		return this.codProcedureId;
	}

	/**
	 * Method 'setCodProcedureId'.
	 *
	 * @param codProcedureId
	 *            String
	 * @return
	 */

	public void setCodProcedureId(String codProcedureId) {
		this.codProcedureId = codProcedureId;
	}

	/**
	 * Method 'getTipoEvento'.
	 *
	 * @return String
	 */

	public String getTipoEvento() {
		return this.tipoEvento;
	}

	/**
	 * Method 'setTipoEvento'.
	 *
	 * @param tipoEvento
	 *            String
	 * @return
	 */

	public void setTipoEvento(String tipoEvento) {
		this.tipoEvento = tipoEvento;
	}

	/**
	 * Method 'getPlsqlCarga'.
	 *
	 * @return String
	 */

	public String getPlsqlCarga() {
		return this.plsqlCarga;
	}

	/**
	 * Method 'setPlsqlCarga'.
	 *
	 * @param plsqlCarga
	 *            String
	 * @return
	 */

	public void setPlsqlCarga(String plsqlCarga) {
		this.plsqlCarga = plsqlCarga;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 * 
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 * 
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 * 
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'
	 * 
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * @return the plateaType
	 */
	public String getPlateaType() {
		return plateaType;
	}

	/**
	 * @param plateaType
	 *            the plateaType to set
	 */
	public void setPlateaType(String plateaType) {
		this.plateaType = plateaType;
	}

	/**
	 * @return the plateaSubType
	 */
	public String getPlateaSubType() {
		return plateaSubType;
	}

	/**
	 * @param plateaSubType
	 *            the plateaSubType to set
	 */
	public void setPlateaSubType(String plateaSubType) {
		this.plateaSubType = plateaSubType;
	}

	/**
	 * @return the configEventos
	 */
	public ConfigEventos getConfigEventos() {
		return configEventos;
	}

	/**
	 * @param configEventos
	 *            the configEventos to set
	 */
	public void setConfigEventos(ConfigEventos configEventos) {
		this.configEventos = configEventos;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idConfiguracion: ").append(this.idConfiguracion).append(" ]");
		result.append(", [ codProcedureId: ").append(this.codProcedureId).append(" ]");
		result.append(", [ tipoEvento: ").append(this.tipoEvento).append(" ]");
		result.append(", [ plsqlCarga: ").append(this.plsqlCarga).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ plateaType: ").append(this.plateaType).append(" ]");
		result.append(", [ plateaSubType: ").append(this.plateaSubType).append(" ]");
		result.append("}");
		return result.toString();
	}

}
